Package: org.grails.cli.profile.commands

## [Groovy] Class ClosureExecutingCommand

- org.grails.cli.profile.commands.ClosureExecutingCommand

- All Implemented Interfaces and Traits:
    ProfileCommand

      class ClosureExecutingCommand
      extends java.lang.Object
      implements ProfileCommand

  A command that executes a closure

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.lang.Closure` | `callable` |
    `private java.lang.String` | `name` |
    `private Profile` | `profile` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `callable`
    `java.lang.String` | `name`
    `Profile` | `profile`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureExecutingCommand (java.lang.String name, groovy.lang.Closure callable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CommandDescription` | `getDescription()`
    `` | `boolean` | `handle(ExecutionContext executionContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private groovy.lang.Closure callable

    - #### private java.lang.String name

    - #### private Profile profile

  - ### Property Detail

    - #### groovy.lang.Closure callable

    - #### java.lang.String name

    - #### Profile profile

  - ### Constructor Detail

    - #### ClosureExecutingCommand(java.lang.String name, groovy.lang.Closure callable)

  - ### Method Detail

    - #### @java.lang.Override CommandDescription getDescription()

    - #### @java.lang.Override boolean handle(ExecutionContext executionContext)